# texnames.perl
#   Ronjeet Lal <rsl3047@unix.tamu.edu> 29-MAY-98
#
# Extension to LaTeX2HTML to support texnames.sty
#
# Change Log:
# ===========


package main;


sub do_cmd_TeX {
    local($_) = @_;
    "T<SMALL>E</SMALL>X" . $_;
}

sub do_cmd_AmS {
    local($_) = @_;
    "<i>A<SUB>M</SUB>S</i>" . $_;
}

sub do_cmd_AMS {
    local($_) = @_;
    "<i>A<SUB>M</SUB>S</i>" . $_;
}

sub do_cmd_AmSLaTeX {
    local($_) = @_;
    "<i>A<SUB>M</SUB>S</i>-L<SUP><SMALL>A</SMALL></SUP>T<SMALL>E</SMALL>X" . $_;
}

sub do_cmd_AMSLaTeX {
    local($_) = @_;
    "<i>A<SUB>M</SUB>S</i>-L<SUP><SMALL>A</SMALL></SUP>T<SMALL>E</SMALL>X" . $_;
}

sub do_cmd_AmSTeX {
    local($_) = @_;
    "<i>A<SUB>M</SUB>S</i>-T<SMALL>E</SMALL>X" . $_;
}

sub do_cmd_AMSTeX {
    local($_) = @_;
    "<i>A<SUB>M</SUB>S</i>-T<SMALL>E</SMALL>X" . $_;
}
 
sub do_cmd_BibTeX {
    local($_) = @_;
    "B<SMALL>IB</SMALL>T<SMALL>E</SMALL>X" . $_;
}

sub do_cmd_BIBTeX {
    local($_) = @_;
    "B<SMALL>IB</SMALL>T<SMALL>E</SMALL>X" . $_;
}

sub do_cmd_BIBTEX {
    local($_) = @_;
    "B<SMALL>IB</SMALL>T<SMALL>E</SMALL>X" . $_;
}

sub do_cmd_LAMSTeX {
    local($_) = @_;
    "L<i><SUP><SMALL>A</SMALL></SUP><SUB>M</SUB>S</i>-T<SMALL>E</SMALL>X" . $_;
}

sub do_cmd_LamSTeX {
    local($_) = @_;
    "L<i><SUP><SMALL>A</SMALL></SUP><SUB>M</SUB>S</i>-T<SMALL>E</SMALL>X" . $_;
}

sub do_cmd_LAmSTeX {
    local($_) = @_;
    "L<i><SUP><SMALL>A</SMALL></SUP><SUB>M</SUB>S</i>-T<SMALL>E</SMALL>X" . $_;
}
 
sub do_cmd_LaTeX {
    local($_) = @_;
    "L<SUP><SMALL>A</SMALL></SUP>T<SMALL>E</SMALL>X" . $_;
}

sub do_cmd_LATEX {
    local($_) = @_;
    "L<SUP><SMALL>A</SMALL></SUP>T<SMALL>E</SMALL>X" . $_;
}

sub do_cmd_LaTeXe {
    local($_) = @_;
    "L<SUP><SMALL>A</SMALL></SUP>T<SMALL>E</SMALL>X 2<SUB>e</SUB>" . $_;
}

sub do_cmd_LaTeXo {
    local($_) = @_;
    "L<SUP><SMALL>A</SMALL></SUP>T<SMALL>E</SMALL>X 2.09" . $_;
}

sub do_cmd_MF {
    local($_) = @_;
    "<SMALL>METAFONT</SMALL>" . $_;
}

sub do_cmd_METAFONT {
    local($_) = @_;
    "<SMALL>METAFONT</SMALL>" . $_;
}

sub do_cmd_SLITEX {
    local($_) = @_;
    "SL<SUP><SMALL>i</SMALL></SUP>T<SMALL>E</SMALL>X" . $_;
}

sub do_cmd_SLiTeX {
    local($_) = @_;
    "SL<SUP><SMALL>i</SMALL></SUP>T<SMALL>E</SMALL>X" . $_;
}

sub do_cmd_SliTeX {
    local($_) = @_;
    "SL<SUP><SMALL>i</SMALL></SUP>T<SMALL>E</SMALL>X" . $_;
}

sub do_cmd_SLITeX {
    local($_) = @_;
    "SL<SUP><SMALL>i</SMALL></SUP>T<SMALL>E</SMALL>X" . $_;
}

sub do_cmd_PiC {
    local($_) = @_;
    "P<SUB>I</SUB>C" . $_;
}

sub do_cmd_PiCTeX {
    local($_) = @_;
    "P<SUB>I</SUB>CT<SMALL>E</SMALL>X" . $_;
}

sub do_cmd_VorTeX {
    local($_) = @_;
    "V<SUB>OR</SUB>T<SMALL>E</SMALL>X" . $_;
}

1;      # Must be last line


